package com.diagbot.facade;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.dto.IndexConfigAndDataDTO;
import com.diagbot.dto.IndexDataDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.util.RespDTOUtil;
import com.diagbot.vo.IndexDataFindVO;
import com.diagbot.vo.IndexDataSaveVO;

/**
 * @author wangfeng
 * @Description: TODO
 * @date 2019年3月11日 下午4:20:33
 */
@Component
public class IndexDataFacade {

    @Autowired
    private IndexConfigFacade indexConfigFacade;
    @Autowired
    AiptServiceClient aiptServiceClient;
    /**
     * 根据疾病id和用户id，开始时间和结束时间 查询用户指标数据
     *
     * @param indexDataFindVO
     * @return
     */
    public RespDTO<IndexConfigAndDataDTO> getIndexDataAll(IndexDataFindVO indexDataFindVO) {
    	RespDTO<IndexConfigAndDataDTO> dataList = aiptServiceClient.getIndexDatas(indexDataFindVO);
    	RespDTOUtil.respNGDeal(dataList, dataList.msg);
        return dataList;
    }

    /**
     * 保存指标数据
     *
     * @param indexDataSaveVO
     * @return
     */
    public RespDTO<Boolean> saveIndexDatas(IndexDataSaveVO indexDataSaveVO) {
    	RespDTO<Boolean> data = aiptServiceClient.saveIndexDatas(indexDataSaveVO);
    	RespDTOUtil.respNGDeal(data, data.msg);
        return data;
    }
    }
